WEBOOB-REPOS(1)

NAME
weboob-repos - manage a weboob repository

SYNOPSIS
weboob-repos [-dqv] [-b backends] [-cnfs] [command [arguments..]]
weboob-repos [--help] [--version]

DESCRIPTION

Weboob-repos is a console application to manage a Weboob Repository.

WEBOOB-REPOS COMMANDS

backends [ACTION] [BACKEND_NAME]...
    Select used backends.
    ACTION is one of the following (default: list):
    * enable enable given backends
    * disable disable given backends
    * only enable given backends and disable the others
    * list list backends
    * add add a backend
    * register register a new account on a website
    * edit edit a backend
    * remove remove a backend
    * list-modules list modules

build SOURCE REPOSITORY
    Build backends contained in SOURCE to REPOSITORY.
    Example:
    $ weboob-repos build $HOME/src/weboob/modules /var/www/updates.weboob.org/0.a/

create NAME [PATH]
    Create a new repository. If PATH is missing, create repository
    on the current directory.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

--nss
    Use NSS instead of OpenSSL

LOGGING OPTIONS

-d, --debug
    display debug messages. Set up it twice to more verbosity

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

--export-session
    log browser session cookies after login

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression. See CONDITION section for the syntax

-n COUNT, --count=COUNT
    limit number of results (from each backends)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (csv, htmltable, json, json_line, multiline, simple, table, webkit)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

CONDITION
The -c and --condition is a flexible way to filter and get only interesting results. It supports conditions on numerical values, dates, durations and strings. Dates are given in YYYY-MM-DD or YYYY-MM-DD HH:MM format. Durations look like XhYmZs where X, Y and Z are integers. Any of them may be omitted. For instance, YmZs, XhZs or Ym are accepted. The syntax of one expression is "field operator value". The field to test is always the left member of the expression.

The field is a member of the objects returned by the command. For example, a bank account has "balance", "coming" or "label" fields.

  The following operators are supported:

=   Test if object.field is equal to the value.

!=  Test if object.field is not equal to the value.

>   Test if object.field is greater than the value. If object.field is date, return true if value is before that object.field.

<   Test if object.field is less than the value. If object.field is date, return true if value is after that object.field.

|   This operator is available only for string fields. It works like the Unix standard grep command, and returns True if the pattern specified in the value is in object.field.

  Expression combination

You can make a expression combinations with the keywords " AND ", " OR " an " LIMIT ".

The LIMIT keyword can be used to limit the number of items upon which running the expression. LIMIT can only be placed at the end of the expression followed by the number of elements you want.

  Examples:
boobank ls --condition 'label=Livret A'
Display only the "Livret A" account.

boobank ls --condition 'balance>10000'
Display accounts with a lot of money.

boobank history account@backend --condition 'label|rewe'
Get transactions containing "rewe".

boobank history account@backend --condition 'date>2013-12-01 AND date<2013-12-09'
Get transactions betweens the 2th December and 8th December 2013.

boobank history account@backend --condition 'date>2013-12-01 LIMIT 10'
Get transactions after the 2th December in the last 10 transactions

COPYRIGHT
Copyright(C) 2012-2017 Romain Bignon

For full copyright information see the COPYING file in the weboob package.

FILES
"~/.config/weboob/backends"

SEE ALSO
Home page: http://weboob.org/applications/weboob-repos